$fn =100;
m4_screw_radius = 3.9/2;
m4_hole_radius = m4_screw_radius * 1.13;

mounting_plate_thickness = 4.0;
mounting_plate_width = 40.0;
leg_width = 5;
leg_height = 25.4 * 3 - mounting_plate_thickness - leg_width/2;
mount_thickness = 25;


module leg(angle) {
  translate([leg_width/2.0, leg_width/2.0, 0]){
    rotate([0,0,angle]){
      translate([leg_width/-2.0, leg_width/-2.0,0]){
        union(){
          translate([0,leg_width/2.0,0]){
            cube([leg_width, leg_height, mount_thickness]);
          }
          translate([leg_width/2.0, leg_width/2.0, 0]){
            cylinder(r = leg_width/2.0, h = mount_thickness);
          }
        }
      }
    }
  }
}


screw_tab_height = mounting_plate_thickness + 10 + (13/2.0);

module screw_tab_cube(side){
  union(){
    cube([mounting_plate_thickness,  screw_tab_height, mount_thickness]);
    translate([mounting_plate_thickness/2,screw_tab_height,0]){
      cylinder(r = mounting_plate_thickness/2, h= mount_thickness);
    }
    
    translate([mounting_plate_thickness/2 * 0.7 * (side+1),mounting_plate_thickness/2 * 0.7,0]){
      cylinder( r= mounting_plate_thickness/2, h = mount_thickness);
    }
  }
}
module mounting_plate(){
  
  union(){
    cube([mounting_plate_width, mounting_plate_thickness, mount_thickness]);
    translate([-1 * mounting_plate_thickness,0,0]){
      difference(){
        screw_tab_cube(0);
        union(){
          translate([-2,mounting_plate_thickness + 10,m4_hole_radius + 2]){
            rotate([0,90,0]){
              cylinder(r = m4_hole_radius, mount_thickness * 3);
            }
          }
          
          translate([-2,mounting_plate_thickness + 10,mount_thickness - m4_hole_radius - 2]){
            rotate([0,90,0]){
              cylinder(r = m4_hole_radius, mount_thickness * 3);
            }
          }
        }
      }
    }
    
    translate([mounting_plate_width,0,0]){
      difference(){
        screw_tab_cube(1);
        union(){
          translate([-2,mounting_plate_thickness + 10,m4_hole_radius + 2]){
            rotate([0,90,0]){
              cylinder(r = m4_hole_radius, mount_thickness * 3);
            }
          }
          translate([-2,mounting_plate_thickness + 10,mount_thickness - m4_hole_radius - 2]){
            rotate([0,90,0]){
              cylinder(r = m4_hole_radius, mount_thickness * 3);
            }
          }
        }
      }
    }
  }
    
  
}

b = ((mounting_plate_width)/2.0)+ leg_width;
c = leg_height + leg_width/2;
leg_angle = asin((mounting_plate_width/2)/c); 
a = sqrt(c * c - b*b);
leg(leg_angle * -1); 
leg_spacing = b + leg_width*4;

union(){
  
  translate([b - (mounting_plate_width/2), a, 0]){    
    mounting_plate();
  }
  
  translate([0,a,0]){
    
    difference(){
      translate([b,1.8,0]){
        scale([3.5,1,1]){
          cylinder(r  = leg_width, h = mount_thickness);        
        }
      }
      translate([b - leg_width * 3.5, 0, -3]){
        cube([leg_width * 2 * 3.5, leg_width * 2, mount_thickness * 9]);
      }
    }
  }

  translate([leg_spacing, 0, 0]){
    leg(leg_angle);
  }
  
  translate([b*2 * 0.05,leg_width,0]){
    cube([b*2 * 0.9, leg_width, mount_thickness]);
  }
}

/**
translate([0,0,mount_thickness +0.5]){
  color("green") polygon([
  [0,0],
  [b,0],
  [b,a]
  ]);
}**/